<!--
  Copyright: (c) 2020-2021, VTK Gent vzw
  GNU Affero General Public License v3.0+ (see COPYING or https://www.gnu.org/licenses/agpl-3.0.txt)
-->

<template>
  <div>
    <v-snackbar v-model="showSnackbarModel" timeout="6000">
      {{ successText }}
      <template #action="{ attrs }">
        <v-btn color="blue" text v-bind="attrs" @click="show_snackbar = false"> {{ $t('document.close') }} </v-btn>
      </template>
    </v-snackbar>
  </div>
</template>

<script lang="ts">
import { computed, defineComponent } from '@vue/composition-api'

export default defineComponent({
  name: 'SnackBar',
  props: {
    successText: {
      default: '',
      type: String,
    },
    showSnackbar: {
      default: false,
      type: Boolean,
    },
  },
  setup(props, { emit }) {
    // Create model from showSnackbar prop
    const showSnackbarModel = computed({
      get: () => props.showSnackbar,
      set: (value) => emit('update:prop', value),
    })

    return {
      showSnackbarModel,
    }
  },
})
</script>
